## opm-grid 2021.10

=== CMakeLists.txt ===
# -*- mode: cmake; tab-width: 2; indent-tabs-mode: t; truncate-lines: t; compile-command: "cmake -Wdev" -*-
# vim: set filetype=cmake autoindent tabstop=2 shiftwidth=2 noexpandtab softtabstop=2 nowrap:

###########################################################################
#                                                                         #
# Note: The bulk of the build system is located in the cmake/ directory.  #
#       This file only contains the specializations for this particular   #
#       project. Most likely you are interested in editing one of these   #
#       files instead:                                                    #
#                                                                         #
#       dune.module                              Name and version number  #
#       CMakeLists_files.cmake                   Path of source files     #
#       cmake/Modules/${project}-prereqs.cmake   Dependencies             #
#                                                                         #
###########################################################################

# Mandatory call to project
project(opm-grid C CXX)

cmake_minimum_required (VERSION 3.10)
# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.

option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
option(ENABLE_3DPROPS_TESTING "Build and use the new experimental 3D properties" OFF)
option(REQUIRE_ZOLTAN "Require Zoltan to be found (needed for productive run" ON)
if (ENABLE_3DPROPS_TESTING)
  add_definitions(-DENABLE_3DPROPS_TESTING)
endif()

if(SIBLING_SEARCH AND NOT opm-common_DIR)
  # guess the sibling dir
  get_filename_component(_leaf_dir_name ${PROJECT_BINARY_DIR} NAME)
  get_filename_component(_parent_full_dir ${PROJECT_BINARY_DIR} DIRECTORY)
  get_filename_component(_parent_dir_name ${_parent_full_dir} NAME)
  #Try if <module-name>/<build-dir> is used
  get_filename_component(_modules_dir ${_parent_full_dir} DIRECTORY)
  if(IS_DIRECTORY ${_modules_dir}/opm-common/${_leaf_dir_name})
    set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
  else()
    string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
    message("_opm_common_leaf=${_opm_common_leaf}")
    if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
        AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
      # We are using build directories named <prefix><module-name><postfix>
      set(opm-common_DIR ${_parent_full_dir}/${_opm_common_leaf})
    elseif(IS_DIRECTORY ${_parent_full_dir}/opm-common)
      # All modules are in a common build dir
      set(opm-common_DIR "${_parent_full_dir}/opm-common")
    endif()
  endif()
endif()
if(opm-common_DIR AND NOT IS_DIRECTORY ${opm-common_DIR})
  message(WARNING "Value ${opm-common_DIR} passed to variable"
    " opm-common_DIR is not a directory")
endif()

find_package(opm-common REQUIRED)

# project information is in dune.module. Read this file and set variables.
# we cannot generate dune.module since it is read by dunecontrol before
# the build starts, so it makes sense to keep the data there then.
include (OpmInit)
OpmSetPolicies()
# not the same location as most of the other projects? this hook overrides
macro (dir_hook)
endmacro (dir_hook)


# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include (${project}-prereqs)

# read the list of components from this file (in the project directory);
# it should set various lists with the names of the files to include
include (CMakeLists_files.cmake)

macro (config_hook)
	opm_need_version_of ("dune-common")
	opm_need_version_of ("dune-geometry")
	opm_need_version_of ("dune-grid")
	find_file(_HAVE_DUNE_GRID_CHECKS checkpartition.cc HINTS ${dune-grid_INCLUDE_DIR}
		PATH_SUFFIXES dune/grid/test)
	if(_HAVE_DUNE_GRID_CHECKS)
		set(HAVE_DUNE_GRID_CHECKS 1)
	else(_HAVE_DUNE_GRID_CHECK)
		set(HAVE_DUNE_GRID_CHECKS 0)
  endif(_HAVE_DUNE_GRID_CHECKS)
	list (APPEND ${project}_CONFIG_IMPL_VARS
		HAVE_DUNE_GRID_CHECKS
		)
	if(NOT ZOLTAN_FOUND AND MPI_C_FOUND AND REQUIRE_ZOLTAN)
		message(SEND_ERROR "opm-grid with MPI support requires the package ZOLTAN."
			"Please install it (e.g. from http://www.cs.sandia.gov/zoltan/.)")
	endif(NOT ZOLTAN_FOUND AND MPI_C_FOUND AND REQUIRE_ZOLTAN)
endmacro (config_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
endmacro (sources_hook)

macro (fortran_hook)
endmacro (fortran_hook)

macro (files_hook)
endmacro (files_hook)

macro (tests_hook)
endmacro (tests_hook)

# all setup common to the OPM library modules is done here
include (OpmLibMain)

# Additional parallel tests
if(MPI_FOUND)
  if(NOT MPIEXEC_EXECUTABLE)
    set(MPIEXEC_EXECUTABLE ${MPIEXEC})
  endif()
  add_test(distribution_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribution_test)
  add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
endif()

install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
  FILES_MATCHING PATTERN "*.1")

=== debian/changelog ===
opm-grid (2021.10-2build1) jammy; urgency=medium

  * No-change rebuild against trilinos 13.2

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 25 Feb 2022 07:06:42 +0000

opm-grid (2021.10-2) unstable; urgency=medium

  * d/control: Do not list g++ in Build-Depends
  * d/control: Build on any architecture even though some will fail.
  * d/tests/control: Allow autopkgtest only on 64bit hardware.
  * d/control: Use standard version 4.6.0
  * Cleanup prerequisites / Build-Depends (drop libboost-date-time-dev).

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Feb 2022 19:49:49 +0100

opm-grid (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:28:54 +0100

=== debian/control ===
Source: opm-grid
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
               libboost-system-dev, libboost-test-dev,
               libdune-common-dev (>= 2.6), bc, git, zlib1g-dev, libtool, pkg-config,
               libdune-grid-dev (>= 2.6), libtinyxml-dev,
               libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
               texlive-latex-recommended, ghostscript,
               libsuitesparse-dev, libpython3-dev,
               libopm-common-dev (>=2021.10), libscotchmetis-dev, libscotchparmetis-dev,
               libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
               mpi-default-bin
Standards-Version: 4.6.0
Section: libs
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
Rules-Requires-Root: no

Package: libopm-grid-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2021.10),
	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
Replaces: libopm-grid1-dev
Suggests: libopm-grid-doc
Description: DUNE grid implementations for reservoir simulation -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the development files for the grid implementations,
 i.e. the headers and shared library links.

Package: libopm-grid
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${opm:shared-library}
Replaces: libopm-grid1
Description: DUNE grid implementations for reservoir simulation -- library
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the library of the grid implementations.

Package: libopm-grid-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libopm-grid1-doc
Description: DUNE grid implementations for reservoir simulation -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides the source code documentation of the grid
 implementations.

Package: libopm-grid-bin
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopm-grid1-bin
Description: corner point grid utility programs
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-grid provides implementations of grids for reservoir simulation,
 corner point or more general pillar grids, following the DUNE grid interface:
 CpGrid, a parallel corner point grid, and PolyhedralGrid a more general serial
 grid implementation of an unstructured, legacy, grid.
 .
 A standard grid type in the petroleum industry, corner-point grids fills
 the domain with a relatively low number of cells while still providing
 sufficient flexibility to model faults, fractures and erosion. The grid
 format was originally designed with an eye towards geological modeling
 rather than numerical simulation, but is still suitable for e.g. low order
 finite volume discretizations.
 .
 This package provides programs to mirror corner point grids specified in
 Eclipse file format and convert the corner point grid representation
 of an Eclipse together with permeability/porosity to file suitable
 for visualization with Paraview.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS =

%:
	dh $@

include /usr/share/opm/opm-debian.mk
include /usr/share/opm/opm-lib-debian.mk # for makeshlibs

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-grid-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr
# Limit architectures to 64bit as we do not test successfully on 32bit
Architecture: amd64 arm64 ia64 mips64el ppc64el ia64 kfreebsd-amd64 ppc64 riscv64 sparc64

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-grid-$1.tar.gz%" \
   https://github.com/OPM/opm-grid/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-grid.git \
#   refs/tags/v([\d\.]+) debian uupdate

## opm-grid 2022.04+ds

=== debian/changelog ===
opm-grid (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:20:48 +0200

opm-grid (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/watch: Advertise repackaged tarball in name

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 22:56:33 +0200

opm-grid (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:02:36 +0200

opm-grid (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-1
  * Dropped patches incorporated into upstream.
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu.
  * d/control: Depend on OPM 2022.04.
  * d/tests: Do not limit architecture but skip not installable

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 27 Apr 2022 23:54:23 +0200

opm-grid (2021.10-5) unstable; urgency=medium

  * d/tests: Use local (fixed) opm-autopkgtest (Closes: #1009685)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 25 Apr 2022 17:16:52 +0200

opm-grid (2021.10-4) unstable; urgency=medium

  * d/tests: Use local opm-autopkgtest script that strips
      superfluous libraries (Closes: #1009685)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 25 Apr 2022 15:39:33 +0200

opm-grid (2021.10-3) unstable; urgency=medium

  * d/rules: Facilitate building with pbuilder without local libopm-common-dev

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 13:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10), quilt,
+Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
                libboost-system-dev, libboost-test-dev,
                libdune-common-dev (>= 2.6), bc, git, zlib1g-dev, libtool, pkg-config,
                libdune-grid-dev (>= 2.6), libtinyxml-dev,
                libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
                texlive-latex-recommended, ghostscript,
                libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>=2021.10), libscotchmetis-dev, libscotchparmetis-dev,
+               libopm-common-dev (>= 2022.04),
+	       libscotchmetis-dev, libscotchparmetis-dev,
                libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
                mpi-default-bin
 Standards-Version: 4.6.0
@@ -24,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2021.10),
+         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.04),
 	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
 Replaces: libopm-grid1-dev
 Suggests: libopm-grid-doc

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-grid-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr, skip-not-installable

## opm-grid 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,9 @@
 # it should set various lists with the names of the files to include
 include (CMakeLists_files.cmake)
 
+# Search opm-tests to use some of the data sets for testing
+include(Findopm-tests)
+
 macro (config_hook)
 	opm_need_version_of ("dune-common")
 	opm_need_version_of ("dune-geometry")
@@ -124,5 +127,24 @@
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()
 
+if(MPI_FOUND AND HAVE_OPM_TESTS)
+  # opm_add_test would need a driver script to run the
+  # parallel test (tests/run-parallel-unitTest.sh which
+  # is in opm-simulators and needs to be moved) until
+  # then we use opm_add_test and an additional call to add_test
+  # to run the test in parall. ONLY_COMPILE does not work because
+  # somehow -DBOOST_TEST_DYN_LINK is skipped and there is no main.
+  opm_add_test(cpgrid_aquifer_test
+    SOURCES tests/cpgrid/cpgrid_aquifer_test.cpp
+    DEPENDS opmgrid
+    #ONLY_COMPILE
+    PROCESSORS 4
+    CONDITION MPI_FOUND AND Boost_UNIT_TEST_FRAMEWORK_FOUND
+    DRIVER_ARGS -np 4 
+    TEST_ARGS -- ${OPM_TESTS_ROOT}/aquifer-num/3D_2AQU_NUM.DATA
+    LIBRARIES opmgrid ${Boost_LIBRARIES})
+  add_test(cpgrid_aquifer_parallel_test ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/cpgrid_aquifer_test -- ${OPM_TESTS_ROOT}/aquifer-num/3D_2AQU_NUM.DATA)
+endif()
+
 install(DIRECTORY doc/man1 DESTINATION ${CMAKE_INSTALL_MANDIR}
   FILES_MATCHING PATTERN "*.1")

=== debian/changelog ===
opm-grid (2022.10+ds-3) unstable; urgency=medium

  * d/control: Removed unneeded git from Build-Depends.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:49:15 +0100

opm-grid (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 12:08:19 +0100

opm-grid (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump dependency on OPM version to 2022.10

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:32:26 +0100

opm-grid (2022.10~rc2+ds-1) experimental; urgency=medium

  * new upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:29:52 +0100

opm-grid (2022.10~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc1
  * d/control: Depend on 2022.10 of OPM
  * d: Updated copyright.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 09:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
 Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
                libboost-system-dev, libboost-test-dev,
-               libdune-common-dev (>= 2.6), bc, git, zlib1g-dev, libtool, pkg-config,
+               libdune-common-dev (>= 2.6), bc, zlib1g-dev, libtool, pkg-config,
                libdune-grid-dev (>= 2.6), libtinyxml-dev,
                libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
                texlive-latex-recommended, ghostscript,
                libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>= 2022.04),
+               libopm-common-dev (>= 2022.10),
 	       libscotchmetis-dev, libscotchparmetis-dev,
                libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
                mpi-default-bin
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
@@ -25,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.04),
+         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.10),
 	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
 Replaces: libopm-grid1-dev
 Suggests: libopm-grid-doc

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,12 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
-include /usr/share/opm/opm-lib-debian.mk # for makeshlibs
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
+OPM_LIB_DEBIAN_MK ?= /usr/share/opm/opm-lib-debian.mk
+ifneq ("$(wildcard $(OPM_LIB_DEBIAN_MK))","")
+    include $(OPM_LIB_DEBIAN_MK) # for makeshlibs
+endif
+

=== debian/watch ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #opts="pgpsigurlmangle=s%$%.sig%"
 
 # GitHub hosted projects
-opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-grid-$1.tar.gz%" \
+opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-grid-$1.tar.gz%,oversionmangle=s/(.*)/$1+ds/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
    https://github.com/OPM/opm-grid/tags \
    (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

## opm-grid 2023.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,11 +23,7 @@
 # the build starts, so it makes sense to keep the data there then.
 
 option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)
-option(ENABLE_3DPROPS_TESTING "Build and use the new experimental 3D properties" OFF)
 option(REQUIRE_ZOLTAN "Require Zoltan to be found (needed for productive run" ON)
-if (ENABLE_3DPROPS_TESTING)
-  add_definitions(-DENABLE_3DPROPS_TESTING)
-endif()
 
 if(SIBLING_SEARCH AND NOT opm-common_DIR)
   # guess the sibling dir
@@ -40,7 +36,6 @@
     set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
   else()
     string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
-    message("_opm_common_leaf=${_opm_common_leaf}")
     if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
         AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
       # We are using build directories named <prefix><module-name><postfix>
@@ -127,7 +122,7 @@
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()
 
-if(MPI_FOUND AND HAVE_OPM_TESTS)
+if(MPI_FOUND AND HAVE_OPM_TESTS AND HAVE_ECL_INPUT)
   # opm_add_test would need a driver script to run the
   # parallel test (tests/run-parallel-unitTest.sh which
   # is in opm-simulators and needs to be moved) until

=== debian/changelog ===
opm-grid (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 14 Jul 2023 15:56:33 +0200

opm-grid (2022.10+ds-4) unstable; urgency=medium

  * d/control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 23 Mar 2023 08:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
                texlive-latex-recommended, ghostscript,
                libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>= 2022.10),
+               libopm-common-dev (>= 2023.04),
 	       libscotchmetis-dev, libscotchparmetis-dev,
                libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
                mpi-default-bin
@@ -22,10 +22,10 @@
 
 Package: libopm-grid-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2022.10),
+         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2023.04),
 	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
 Replaces: libopm-grid1-dev
 Suggests: libopm-grid-doc
@@ -51,7 +51,7 @@
 
 Package: libopm-grid
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
@@ -103,7 +103,7 @@
 
 Package: libopm-grid-bin
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-grid1-bin

## opm-grid 2024.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,11 @@
 #                                                                         #
 ###########################################################################
 
+cmake_minimum_required (VERSION 3.10)
+
 # Mandatory call to project
 project(opm-grid C CXX)
 
-cmake_minimum_required (VERSION 3.10)
 # project information is in dune.module. Read this file and set variables.
 # we cannot generate dune.module since it is read by dunecontrol before
 # the build starts, so it makes sense to keep the data there then.

=== debian/changelog ===
opm-grid (2024.04+ds-4) sid; urgency=medium

  * Team upload.
  * Allow build on systems with less than 4 CPUs.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 19:15:00 +0100

opm-grid (2024.04+ds-3) sid; urgency=medium

  * add missing include for gcc-14
    (Closes: #1075347)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 09 Jul 2024 22:05:20 +0200

opm-grid (2024.04+ds-2) sid; urgency=medium

  * d/control: depend on OPM >= 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 13 May 2024 13:11:41 +0200

opm-grid (2024.04+ds-1) sid; urgency=medium

  * New upstream version 2024.04

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:23:27 +0200

opm-grid (2024.04~rc2+ds-2) sid; urgency=medium

  * New upstream release candidate 2024.04-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:29:06 +0200

opm-grid (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:48:24 +0200

opm-grid (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Add support for loong64
    Closes: #1059850
  * debhelper-compat 13 (routine-update)
  * cme fix dpkg-control
  * Replace deprecated pkg-config Build-Depends by pkgconf

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:04:38 +0100

opm-grid (2023.10+ds-1) experimental; urgency=medium

  * New upsream release 2023.10
  * d/copyright: Updated copyright

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 15:31:04 +0100

opm-grid (2023.10~rc2+ds-1) experimental; urgency=medium

  * Release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:04:26 +0100

opm-grid (2023.10~rc1+ds-1) experimental; urgency=medium

  * do not try to install removed  pkg-config files.
  * Release candidate 2023.10-rc1
  * d/watch: Also allow downloading release candidates.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 19:32:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,54 @@
 Source: opm-grid
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
+           Markus Blatt <markus@dr-blatt.de>
+Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake (>=3.10), quilt,
-               libboost-system-dev, libboost-test-dev,
-               libdune-common-dev (>= 2.6), bc, zlib1g-dev, libtool, pkg-config,
-               libdune-grid-dev (>= 2.6), libtinyxml-dev,
-               libdune-istl-dev (>= 2.6), doxygen, texlive-latex-extra,
-               texlive-latex-recommended, ghostscript,
-               libsuitesparse-dev, libpython3-dev,
-               libopm-common-dev (>= 2023.04),
-	       libscotchmetis-dev, libscotchparmetis-dev,
-               libdune-geometry-dev (>= 2.6), libtrilinos-zoltan-dev, mpi-default-dev,
+Build-Depends: debhelper-compat (= 13),
+               quilt,
+               libboost-system-dev,
+               libboost-test-dev,
+               libdune-common-dev,
+               bc,
+               zlib1g-dev,
+               libtool,
+               pkgconf,
+               libdune-grid-dev,
+               libtinyxml-dev,
+               libdune-istl-dev,
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               libsuitesparse-dev,
+               libpython3-dev,
+               libopm-common-dev (>= 2024.04),
+               libscotchmetis-dev,
+               libscotchparmetis-dev,
+               libdune-geometry-dev,
+               libtrilinos-zoltan-dev,
+               mpi-default-dev,
                mpi-default-bin
 Standards-Version: 4.6.2
-Section: libs
-Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
+Homepage: http://opm-project.org
 Rules-Requires-Root: no
 
 Package: libopm-grid-dev
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: same
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
-Depends: ${opm:shared-library}, ${misc:Depends}, libdune-grid-dev (>= 2.6),
-         libdune-istl-dev  (>= 2.6), libopm-common-dev  (>= 2023.04),
-	 libscotchmetis-dev, libscotchparmetis-dev, libtrilinos-zoltan-dev
+Depends: ${opm:shared-library},
+         ${misc:Depends},
+         libdune-grid-dev,
+         libdune-istl-dev,
+         libopm-common-dev  (>= 2024.04),
+         libscotchmetis-dev,
+         libscotchparmetis-dev,
+         libtrilinos-zoltan-dev
+Suggests: libopm-grid-doc
 Replaces: libopm-grid1-dev
-Suggests: libopm-grid-doc
 Description: DUNE grid implementations for reservoir simulation -- development files
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially
@@ -50,10 +70,11 @@
  i.e. the headers and shared library links.
 
 Package: libopm-grid
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: same
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${opm:shared-library}
 Replaces: libopm-grid1
 Description: DUNE grid implementations for reservoir simulation -- library
@@ -76,9 +97,9 @@
  This package provides the library of the grid implementations.
 
 Package: libopm-grid-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Replaces: libopm-grid1-doc
 Description: DUNE grid implementations for reservoir simulation -- documentation
@@ -102,10 +123,11 @@
  implementations.
 
 Package: libopm-grid-bin
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64 loong64
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libopm-grid1-bin
 Description: corner point grid utility programs
  The Open Porous Media (OPM) software suite provides libraries and

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
 
 include /usr/share/dpkg/architecture.mk

## opm-grid 2024.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,7 +119,11 @@
   if(NOT MPIEXEC_EXECUTABLE)
     set(MPIEXEC_EXECUTABLE ${MPIEXEC})
   endif()
+	add_test(addLgrsOnDistributedGrid_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/addLgrsOnDistributedGrid_test)
   add_test(distribution_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribution_test)
+  if(Boost_VERSION_STRING VERSION_GREATER 1.53)
+     add_test(inactiveCell_lgr_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/inactiveCell_lgr_test)
+  endif()
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()

=== debian/changelog ===
opm-grid (2024.10+ds-1build1) plucky; urgency=medium

  * No-change rebuild for openmpi

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 06 Dec 2024 07:23:39 +0000

opm-grid (2024.10+ds-1) unstable; urgency=medium

  * New upstream release 2024.10
  * d/control Bumped standards version to 4.7.0 (no changes)
  * d/control: Depend on OPM 2024.10
  * d/patches: Refreshed patches
  * d/patches: backported support for DUNE 2.10
  * d/rules: Use chrpath to strip RPATH/RUNPATH from installed libs.
  * d/copyright: Updated and corrected copyright statements.
  * d/patches: Fix GPL license declarations for two tests.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 15 Nov 2024 14:58:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                quilt,
+	       chrpath,
                libboost-system-dev,
                libboost-test-dev,
                libdune-common-dev,
@@ -22,14 +23,14 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2024.04),
+               libopm-common-dev (>= 2024.10),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
                libtrilinos-zoltan-dev,
                mpi-default-dev,
                mpi-default-bin
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
 Homepage: http://opm-project.org
@@ -43,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2024.04),
+         libopm-common-dev  (>= 2024.10),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,13 @@
 include /usr/share/dpkg/architecture.mk
 
 OPM_DEBIAN_CMAKE_FLAGS =
+
+override_dh_install:
+	# Manual delete runpath set by openmpi 5.0.5
+	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1085509
+	find debian/tmp/ -name \*.so -o  -name \*.so.\* -exec chrpath -d '{}' \; || true
+	find debian/tmp/usr/bin -type f -exec chrpath -d '{}' \; || true
+	dh_install
 
 %:
 	dh $@

## opm-grid 2025.04~rc3+ds

=== debian/changelog ===
opm-grid (2025.04~rc3+ds-1) experimental; urgency=medium

  * New upstream pre-release version 2025.04~rc3

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 28 Apr 2025 17:17:16 +0200

opm-grid (2025.04~rc2+ds-2) experimental; urgency=medium

  * Bump version (no-change) to build with updated and fixed opm-common

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 23 Apr 2025 08:43:37 +0200

opm-grid (2025.04~rc2+ds-1) experimental; urgency=medium

  * New upstream pre-release version 2025.04~rc2
  * d/patches: Drop applied patches

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Apr 2025 13:51:30 +0200

opm-grid (2025.04~git20250402.80c23280+ds-1~exp1) experimental; urgency=medium

  * Prelease snapshot of 2025.04 release at commit 80c23280
  * Drop patches applied upstream and rediff patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 03 Apr 2025 13:53:49 +0200

opm-grid (2024.10+ds-3) unstable; urgency=medium

  * d/copyright: Fixes formatting and content of copyright file
  * d/control: Bumped standards version to 4.7.2 (no change)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 14 Apr 2025 15:18:34 +0200

opm-grid (2024.10+ds-2) unstable; urgency=medium

  * Fix compilation with 64bit metis bindings of scotch.
    (Closes: #1101246)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 27 Mar 2025 17:49:40 +0100

## opm-grid 2025.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,10 +119,15 @@
   if(NOT MPIEXEC_EXECUTABLE)
     set(MPIEXEC_EXECUTABLE ${MPIEXEC})
   endif()
-	add_test(addLgrsOnDistributedGrid_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/addLgrsOnDistributedGrid_test)
+  add_test(addLgrsOnDistributedGrid_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/addLgrsOnDistributedGrid_test)
+  add_test(distribute_level_zero_from_grid_with_lgrs_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribute_level_zero_from_grid_with_lgrs_test)
   add_test(distribution_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribution_test)
+  add_test(grid_global_id_set_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/grid_global_id_set_test)
+  add_test(lgr_cell_id_sync_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/lgr_cell_id_sync_test)
   if(Boost_VERSION_STRING VERSION_GREATER 1.53)
      add_test(inactiveCell_lgr_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/inactiveCell_lgr_test)
+     add_test(test_graphofgrid_parallel3 ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 3 bin/test_graphofgrid_parallel)
+     add_test(test_graphofgrid_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_graphofgrid_parallel)
   endif()
   add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
 endif()

=== debian/changelog ===
opm-grid (2025.04+ds-1) sid; urgency=medium

  * New upstream release version 2025.04
  * d/patches: Drop applied patches

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 10 Aug 2025 15:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,14 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2024.10),
+               libopm-common-dev (>= 2025.04~),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
                libtrilinos-zoltan-dev,
                mpi-default-dev,
                mpi-default-bin
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/opm-grid
 Vcs-Git: https://salsa.debian.org/science-team/opm-grid.git
 Homepage: http://opm-project.org
@@ -44,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2024.10),
+         libopm-common-dev  (>= 2025.04~),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-grid-dev (>= 2022.10),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
Restrictions: allow-stderr, skip-not-installable

## opm-grid 2025.10~git20251002.6ed9dfa4+ds

=== debian/changelog ===
opm-grid (2025.10~git20251002.6ed9dfa4+ds-1) experimental; urgency=medium

  * Prerelease version on commit 6ed9dfa4
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 09 Oct 2025 21:18:06 +0200

## opm-grid 2025.10%2Bds

=== debian/changelog ===
opm-grid (2025.10+ds-2) unstable; urgency=medium

  * d/control: Fix build with boost 1.90 (Closes: 1127248)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Feb 2026 11:19:24 +0100

opm-grid (2025.10+ds-1) unstable; urgency=medium

  * New upstream version 2025.10+ds
  * Depend on OPM 2025.10

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Oct 2025 16:47:25 +0200

## opm-grid 2025.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -119,17 +119,34 @@
   if(NOT MPIEXEC_EXECUTABLE)
     set(MPIEXEC_EXECUTABLE ${MPIEXEC})
   endif()
-  add_test(addLgrsOnDistributedGrid_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/addLgrsOnDistributedGrid_test)
-  add_test(distribute_level_zero_from_grid_with_lgrs_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribute_level_zero_from_grid_with_lgrs_test)
-  add_test(distribution_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/distribution_test)
-  add_test(grid_global_id_set_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/grid_global_id_set_test)
-  add_test(lgr_cell_id_sync_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/lgr_cell_id_sync_test)
+
+  set(tests_4proc
+    addLgrsOnDistributedGrid_test
+    autoRefine_test
+    communicate_distributed_grid_with_lgrs_test
+    distribute_level_zero_from_grid_with_lgrs_and_wells_test
+    distribute_level_zero_from_grid_with_lgrs_test
+    distribution_test
+    grid_global_id_set_test
+    level_and_grid_cartesianIndexMappers_test
+    lgr_cell_id_sync_test
+    logicalCartesianSize_and_refinement_test
+    mapLevelIndicesToCartesianOutputOrder_test
+    test_communication_utils
+  )
+
   if(Boost_VERSION_STRING VERSION_GREATER 1.53)
-     add_test(inactiveCell_lgr_test_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/inactiveCell_lgr_test)
-     add_test(test_graphofgrid_parallel3 ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 3 bin/test_graphofgrid_parallel)
-     add_test(test_graphofgrid_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_graphofgrid_parallel)
+    list(APPEND test_4proc lgr_with_inactive_parent_cells_test)
+     foreach(procs 3 4)
+       add_test(test_graphofgrid_parallel${procs} ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} ${procs} bin/test_graphofgrid_parallel)
+       set_tests_properties(test_graphofgrid_parallel${procs} PROPERTIES PROCESSORS ${procs})
+     endforeach()
   endif()
-  add_test(test_communication_utils_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/test_communication_utils)
+
+  foreach(test4 ${tests_4proc})
+    add_test(${test4}_parallel ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/${test4})
+    set_tests_properties(${test4}_parallel PROPERTIES PROCESSORS 4)
+  endforeach()
 endif()
 
 if(MPI_FOUND AND HAVE_OPM_TESTS AND HAVE_ECL_INPUT)
@@ -145,7 +162,7 @@
     #ONLY_COMPILE
     PROCESSORS 4
     CONDITION MPI_FOUND AND Boost_UNIT_TEST_FRAMEWORK_FOUND
-    DRIVER_ARGS -np 4 
+    DRIVER_ARGS -np 4
     TEST_ARGS -- ${OPM_TESTS_ROOT}/aquifer-num/3D_2AQU_NUM.DATA
     LIBRARIES opmgrid ${Boost_LIBRARIES})
   add_test(cpgrid_aquifer_parallel_test ${MPIEXEC_EXECUTABLE} ${MPIEXEC_NUMPROC_FLAG} 4 bin/cpgrid_aquifer_test -- ${OPM_TESTS_ROOT}/aquifer-num/3D_2AQU_NUM.DATA)

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                ghostscript,
                libsuitesparse-dev,
                libpython3-dev,
-               libopm-common-dev (>= 2025.04~),
+               libopm-common-dev (>= 2025.10~),
                libscotchmetis-dev,
                libscotchparmetis-dev,
                libdune-geometry-dev,
@@ -44,7 +44,7 @@
          ${misc:Depends},
          libdune-grid-dev,
          libdune-istl-dev,
-         libopm-common-dev  (>= 2025.04~),
+         libopm-common-dev  (>= 2025.10~),
          libscotchmetis-dev,
          libscotchparmetis-dev,
          libtrilinos-zoltan-dev

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d.\d\d)/(.*)\.tar\.gz%@PACKAGE@-$1-$2.tar.gz%,oversionmangle=s/(.*)/$1+ds/,uversionmangle=s/.final//;s/.rc/~rc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/OPM/@PACKAGE@/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/(final|rc.*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-grid.git \
#   refs/tags/v([\d\.]+) debian uupdate
